Fork me on GitHub




« 1 2 3 4 (5)


Mises a joure des modules pour la version de PHP.8
Semi pro
Inscrit: 26/07/2011 14:05
De Fleurus (W-B) (Belgique)
Messages: 795
Bonjour, quand xoops vas enfin ce décider a mettre ajour c’est divers modules pour la nouvelle version de php.8, car avoir une flopée de module pour faire beau dans la gallery et qui ne serve a rien je ne voie pas l’intérêt, alors quand, pour que l’on puisse ce reservire de ces modules qui sont et qui vont devenir obsolète car il ne supporte pas php.8, et quel surprise que jai eu quand jai faite cette mises a jour et de voir mon site boguer avec la version de xoops 2.5.11 beta 2 et les modules qui ne fonctionne plus correctement sans boguer, pour quoi ben les divers modules ne supporte pas la version php.8, donc je me retrouve avec un site ben qui n'en n’est plus un car mes module ne fonctionne plus correctement, et alor moi je fait quoi maintenant je change de cms car moi je vais pas attendre 107ans que les admin de xoops ce réveille et se décide de mettre tous sais petit modules a jour, je croie que je n’aurais pas le choix, cela ne me conviens pas car xoops est le meilleur, et sa me briserai de devoir changer.

Posté le : 13/12/2022 19:54

Je suis souvent copié mais "copié = Synonyme de célébrité" Alors continuez mes fans.
Site Radioamateur Belge
Partager Twitter Partagez cette article sur GG+
Re: Mises a joure des modules pour la version de PHP.8
Semi pro
Inscrit: 08/03/2006 21:08
Messages: 1176
Salut,

Je pense que faire une mise à jours sans avoir testé avant sur un serveur de tests était une mauvaise solution. C'est très risqué de fonctionner comme cela.

Plusieurs modules sont compatibles php8 mais pas tous. Je fais tourner plusieurs sites en php8 et je n'ai pas de problème car j'ai sélectionné les modules qui sont suivi. Quand on change de version php, on test avant et on utilise peut être d'autres modules. Il est probablement possible d'utiliser d'autre modules pour tes besoins.

Si tu ne peux pas changer de modules alors je te conseil de changer de cms. Si tu ne peux pas réaliser les modifications toi même, ce n'est pas les "admin" de xoops qui sont des bénévoles et qui ont leur propre priorités qui vont le faire.

Ce n'est probablement pas la réponse que tu attendais mais malheureusement, tu n'a pas 100 solutions...

Posté le : 13/12/2022 21:01
Partager Twitter Partagez cette article sur GG+
Re: Mises a joure des modules pour la version de PHP.8
Admin Frxoops
Inscrit: 04/02/2003 06:41
Messages: 924
Donc ON2AT, tu persistes et signes comme dirait l'écrivain.

L'on t'a expliqué et encore expliqué le cheminement à avoir dans les précédentes pages, à commencer par celui de changer de prestataire, car si ce dernier ne propose pas au moins PHP 7.4.x, il n'est pas intéressant alors que les gros ( Scaleway OVH ) le proposent, même en mutu.

Pour rappel : trouve-toi un hébergement qui accepte encore PHP 7.x et transfère tout ton site dessus après avoir fait la propagation des DNS. Sinon, je sens que tu te prépares des nuits blanches pendant des jours, déjà que des fois pour nous c'est limite.

Et comme le dit si bien Mage, que cela soit sur Xoops, un Prestashop ou un Wordpress, l'on fait toujours des tests sur un domaine de dev avant de faire des bascules de versionnage et l'on a toujours au moins 5 backups qui trainent au cas où.

Et cela n'empêche pas que l'on peut avoir besoin de mettre en place un disaster recovery plan.


PS Xoops est géré par des bénévoles, qui donnent de leur temps libre pour le faire vivre. Si tu sens que cela ne va pas assez vite, tu peux aussi contribuer. Le code c'est comme le permis de conduite, cela s'apprend.

PS2 : Je rencontre pas mal de couilles avec des plugins Wordpress en PHP 8 aussi ces derniers mois, donc je laisse les serveurs et sites concernés en PHP 7.4 en attendant que des mises à jour arrivent. Je ne saute pas des étapes. J'ai même une version PHP 5.6 qui me sert pour les clients qui ont de très vieux sites que je dois mettre à jour. Et surtout, à chaque fois : je teste et teste encore et encore !

Posté le : 14/12/2022 08:35

Quand tu montres la lune du doigt, l'imbécile regarde le doigt.
Infos sur TSO et tutos PC sur Tutoriaux PC
Partager Twitter Partagez cette article sur GG+
Re: Xoops pour PHP 8.0
Admin Frxoops
Inscrit: 16/05/2003 18:10
De Rhone-Alpes
Messages: 4051
Merci à Gregory (Mage) de dire enfin ce que d'autres ne disent pas...

Moi, je l'ai déjà écrit il y a quelques années, ON2AT, je l'ai écrit franchement.

Déjà, arrête de nous mettre une pseudo fausse pression en disant qu'à force, tu vas changer de CMS.
Ici, tout le monde est libre.
Moi, et je pense que les autres admin n'ont aucune peur, aucune pression de savoir que tu risques de changer de CMS.
Donc vole de tes propres ailes si le coeur t'en dis. Si tu arrives a finaliser ton projet quelque soit le CMS retenu, j'en serais ravi !

J'encourage même à tester, comparer, d'autres outils, mais aussi la qualité du support (forum, rapidité, qualité d'intervention, documents à disposition).

Pour en revenir à de grosses modifications sur un site en production, ON2AT, beaucoup ici te l'ont indiqué, et sur de nombreux forums mais tu n'écoutes pas. Aussi, assume, tu es un grand garçon, non ?
On peut retrouver de nombreux sujets dans les forums où des gens bienveillants et patient ont répété plusieurs fois les étapes à suivre pour une migration sereine. Je peux retrouver les sujets, si tu en doute ou si tu ne t'en rappelle plus.

La seule chose que je t'accorde est la difficulté à faire certaines migrations, et quelques soient les CMS utilisés d'ailleurs.
Tu es webmaster d'un ou de plusieurs sites webs, c'est bien, mais la réalité nous montre que tu n'es pas administrateur de serveurs web. Ce sont des choses différentes, des missions différentes qui ne requièrent pas les même compétences. Deux métiers différents.
Par exemple, c'est comme si tu étais chirurgien et que comme tu es chirurgien, tu décides de refaire toi-même les canalisations d'eau de ton domicile ou bien le remplacement de ton turbo sur ta Renault 9 GT Turbo.

Tout ça pour dire que si tu n'as pas les compétences pour certaines missions, soit tu tentes de suivre les indications à la lettre pour tenter d'atteindre ton objectif, soit tu contactes des experts pour les missionner.
Bien sur que le forum est là pour aider, mais si tu poses des questions et que tu n'écoutes aucun conseil, à quoi bon !

Je suis conscient que tu n'as peut-être pas le budget pour missionner quelqu'un à effectuer cette migration mais dans ce cas, suis les conseils, et bien sur, n'attends pas que de suivre toutes les étapes se fassent en 1 semaine seulement.

C'est un vrai travail, un VRAI !
Je pense que Cédric ou Babouille pourront te le confirmer, et beaucoup d'autres également.

Merci d'avoir pris le temps de lire ceci.


Alain






Posté le : 14/12/2022 10:44

Open in new window
Partager Twitter Partagez cette article sur GG+
Re: Xoops pour PHP 8.0
Admin Frxoops
Inscrit: 04/03/2011 09:10
De Lot
Messages: 2837
Xoops avance comme il peut.

La priorité (et ça coule de source) a été de rendre le core Xoops compatible PHP 8.x, même si il y a encore des bugs, c'est compatible.
Ensuite, oui, il reste la majorité des modules à faire, la priorité étant donnée aux modules les plus courants.
Sachant que moultes modules ne sont plus suivi par leurs concepteurs initiaux.
Une migration ne se fait pas à la légère, c'et un gros travail. Il faut réfléchir avant pour pas tout casser.

Pour ton problème, je dirais la même chose qu'aux utilisateurs de PrestaShop, si votre hébergeur ne propose plus PHP7.4, changez. Pour information PrestaShop n'est pas 100% compatible PHP8.x (et je ne parle pas des plugins). Wordpress, n'est pas stable en PHP8, beaucoup de plugins ne sont pas 100% compatible.
Comme partout, il y a des priorité à donner. C'est un travail colossal, pour des bénévoles.

Je maintiens pour des clients des serveurs sous PHP5.6 ou PHP7.x, c'est à leur choix.
Et faire une migration de ce genre, il vaut mieux être sûr à 200%, avant de basculer vers la nouvelle version.

Je fais régulièrement des migrations (entre même CMS ou d'un CMS à un autre), et rien n'est simple, ça prend du temps et il y a des tests, des tests et encore des tests. La dernière migrations de Xoops vers Xoops a pris 2mois, mais le client n'a eu aucune perte de données et quasi aucune coupure.





Posté le : 14/12/2022 14:26
Partager Twitter Partagez cette article sur GG+
Re: Xoops pour PHP 8.0
Semi pro
Inscrit: 26/07/2011 14:05
De Fleurus (W-B) (Belgique)
Messages: 795
Citation :
alain01 a écrit :
Déjà, arrête de nous mettre une pseudo fausse pression en disant qu'à force, tu vas changer de CMS.

pseudo fausse pression a mon avis cest dans ta tete que ta eu une pression toi, je n'est jamais mit une ou la pression a qui que ce soit faut réfléchir avant de dire des conneries si on ne peut plus poser une question sans se faire dire qu'on met le pression à un pauvre petit admin dépressif. faut se calmer les gas.

Posté le : 19/12/2022 10:02

Je suis souvent copié mais "copié = Synonyme de célébrité" Alors continuez mes fans.
Site Radioamateur Belge
Partager Twitter Partagez cette article sur GG+
Re: Xoops pour PHP 8.0
Admin Frxoops
Inscrit: 16/05/2003 18:10
De Rhone-Alpes
Messages: 4051
Merci de dire enfin quelque chose de sensé :

"faut réfléchir avant de dire des conneries"
Merci de nous faire tous rire ONAT.

lol

Posté le : 19/12/2022 10:05

Open in new window
Partager Twitter Partagez cette article sur GG+
Re: Xoops pour PHP 8.0
Semi pro
Inscrit: 26/07/2011 14:05
De Fleurus (W-B) (Belgique)
Messages: 795
Citation :
alain01 a écrit :
Merci de dire enfin quelque chose de sensé :

"faut réfléchir avant de dire des conneries"
Merci de nous faire tous rire ONAT.

lol


Posté le : 19/12/2022 10:06

Je suis souvent copié mais "copié = Synonyme de célébrité" Alors continuez mes fans.
Site Radioamateur Belge
Partager Twitter Partagez cette article sur GG+

 Haut   Précédent   Suivant
« 1 2 3 4 (5)



Vous pouvez voir les sujets.
Vous ne pouvez pas débuter de nouveaux sujets.
Vous ne pouvez pas répondre aux contributions.
Vous ne pouvez pas éditer vos contributions.
Vous ne pouvez pas effacez vos contributions.
Vous ne pouvez pas ajouter de nouveaux sondages.
Vous ne pouvez pas voter en sondage.
Vous ne pouvez pas attacher des fichiers à vos contributions.
Vous ne pouvez pas poster sans approbation.

Propulsé avec XOOPS | Graphisme adapté par Tatane, Grosdunord, Montuy337513

93 Personne(s) en ligne (74 Personne(s) connectée(s) sur Forum) | Utilisateur(s): 0 | Invité(s): 93 | Plus ...